#!/bin/bash

startDir=$(dirname $(readlink -f "$0"))
cd $startDir/..

set -e

comp=$(basename $PWD)

echo "组件$comp安装到maven仓库..."

$JUSTEP_HOME/tools/maven/bin/mvn -Dmaven.test.skip=true clean install
if [ $? -ne 0 ]; then
    echo "****ERROR****: 组件$comp安装到maven仓库失败"
    exit 1
else
    echo "组件$comp安装到maven仓库成功"
fi
