
package main.mapper;

import java.util.*;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import main.entity.*;
import org.apache.ibatis.annotations.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;

/**
 * This code is generated 
 * 数据集动态数据集
 */
 @Mapper
public interface DbtableMapper  extends BaseMapper<main.entity.Dbtable> {

	
	@Insert({
		"<script>",
		"insert into main_dbtable (fid,fa,fb,fc)",
		" values (",

"#{fid},#{fa},#{fb},#{fc}",

		" )",
		"</script>"
	})
	public int insert(main.entity.Dbtable model);
	
	@InterceptorIgnore(blockAttack = "true")
	@Update("update main_dbtable set fa=#{fa},fb=#{fb},fc=#{fc}  	where fid=#{fid}")
	public int updateByPrimaryKey(main.entity.Dbtable model);
	
	@InterceptorIgnore(blockAttack = "true")
	@Delete("delete from main_dbtable where fid=#{pk}")
	public int deleteByPrimaryKey(String pk);
	
	@Select("select dbtable.fid fid,dbtable.fa fa,dbtable.fb fb,dbtable.fc fc from main_dbtable dbtable")
	public List<main.entity.Dbtable> findAll();
	

	@Select("select count(dbtable.fid) from main_dbtable dbtable")
	public int countAll();
	
	
	@Select("select dbtable.fid fid,dbtable.fa fa,dbtable.fb fb,dbtable.fc fc from main_dbtable dbtable where dbtable.fid=#{pk}")
	public main.entity.Dbtable findByPrimaryKey(String pk);
}



