package main.common.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.beans.factory.support.BeanDefinitionRegistry;
import org.springframework.beans.factory.support.BeanNameGenerator;
import org.springframework.context.annotation.AnnotationBeanNameGenerator;

public class MapperNameGenerator  implements BeanNameGenerator {
	private static final Logger logger = LoggerFactory.getLogger(MapperNameGenerator.class);
    private String moduleName="main-";
	@Override
	public String generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry) {
		AnnotationBeanNameGenerator gen = new AnnotationBeanNameGenerator();
		String name = gen.generateBeanName(definition, registry);
		return moduleName+ "-" + name;
	}
}
