package main.controller;

import java.util.*;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import com.justep.cloud.data.*;
import com.justep.cloud.boot.controller.*;
import com.justep.tools.db.*;
import com.justep.util.SecurityUtil;
import com.justep.util.SpringWebUtil;
import com.justep.util.progressive.ProgressiveTaskUtil.ProgressiveTask;
import com.justep.util.progressive.ProgressiveTaskUtil.ProgressiveTaskAction;

import main.service.*;
import main.entity.*;


@RestController(value="main-testController")
public class TestController {

	@Autowired
	private TestService testService;
	
/**
	* 请求：test
	*/
	@RequestMapping(value = "/main/test/test", method = RequestMethod.GET)	


	public ResponseEntity<String> test() throws Exception{
		
		String resp = testService.test();
		HttpHeaders headers = new HttpHeaders();
		headers.putAll(ServiceResponseUtils.getSystemHeader());
		headers.putAll(ServiceResponseUtils.getCacheControlHeader());
		headers.putAll(ServiceResponseUtils.getJsonContentTypeHeader());
		ResponseEntity<String> ret =  new ResponseEntity<String>(resp,headers,HttpStatus.OK);
		return ret;
	}


}


