<?xml version="1.0" encoding="UTF-8" ?>
<service enabled="{{.Env.IS_NOT_DEV}}">
    <name>pcapp</name>
    <request_path>/pcapp</request_path>
    <preserve_host>true</preserve_host>
    <strip_request_path>false</strip_request_path>
    <upstream_url>http://{{.Env.PCAPP_SERVICEADDRESS}}:{{.Env.PCAPP_PORT}}</upstream_url>
	<plugin name="health-check" enabled="true">
		<health_url>/pcapp</health_url>
		<status isarray="true">200,302</status>
		<timeout>1000</timeout>
		<retries>300</retries>
		<sleep>0.2</sleep>
		<expire>120</expire>
	</plugin>
</service>
